#pragma once

#include "CoreMinimal.h"
#include "Mutator.h"
#include "AddGeneratorRegressionModifierMutator.generated.h"

class AGenerator;

UCLASS(Blueprintable, EditInlineNew)
class UAddGeneratorRegressionModifierMutator : public UMutator
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _regressionModifier;

	UPROPERTY(EditAnywhere, Transient)
	TMap<AGenerator*, uint64> _gameplayModifierHandles;

public:
	UAddGeneratorRegressionModifierMutator();
};

FORCEINLINE uint32 GetTypeHash(const UAddGeneratorRegressionModifierMutator) { return 0; }
